    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Class org.jdom.ProcessingInstruction

    java.lang.Object
       |
       +----org.jdom.ProcessingInstruction

public class ProcessingInstruction
extends Object
implements Serializable, Cloneable

`ProcessingInstruction` defines behavior for an XML processing instruction, modeled in Java. Methods allow the user to obtain the target of the PI as well as its data. The data can always be accessed as a String, and where appropriate can be retrieved as name/value pairs.

Version:
  $Revision: 1.27 $, $Date: 2002/03/20 15:16:32 $
Author:
  Brett McLaughlin, Jason Hunter, Steven Gould

##

mapData
  The data for the PI in name/value pairs
parent
  Parent element, document, or null if none
rawData
  The data for the PI as a String
target
  The target of the PI

##

ProcessingInstruction()

  Default, no-args constructor for implementations to use if needed.

ProcessingInstruction(String, Map)

  This will create a new `ProcessingInstruction` with the specified target and data.

ProcessingInstruction(String, String)

  This will create a new `ProcessingInstruction` with the specified target and data.

##

clone()

  This will return a clone of this `ProcessingInstruction`.

detach()

  This detaches the PI from its parent, or does nothing if the PI has no parent.

equals(Object)

  This tests for equality of this `ProcessingInstruction` to the supplied `Object`.

getData()

  This will return the raw data from all instructions.

getDocument()

  This retrieves the owning `{`

getNames()

  This will return a `List` containing the names of the "attribute" style pieces of name/value pairs in this PI's data.

getParent()

  This will return the parent of this `ProcessingInstruction`.

getTarget()

  This will retrieve the target of the PI.

getValue(String)

  This will return the value for a specific name/value pair on the PI.

hashCode()

  This returns the hash code for this `ProcessingInstruction`.

removeValue(String)

  This will remove the name/value pair with the specified name.

setData(Map)

  This will set the name/value pairs within the passed `Map` as the pairs for the data of this PI.

setData(String)

  This will set the raw data for the PI.

setDocument(Document)

  This sets the `{`

setParent(Element)

  This will set the parent of this `ProcessingInstruction`.

setValue(String, String)

  This will set the value for the specified name/value pair.

toString()

  This returns a `String` representation of the `ProcessingInstruction`, suitable for debugging.

##

target

     protected String target

  The target of the PI

rawData

     protected String rawData

  The data for the PI as a String

mapData

     protected Map mapData

  The data for the PI in name/value pairs

parent

     protected Object parent

  Parent element, document, or null if none

##

ProcessingInstruction

     protected ProcessingInstruction()

  Default, no-args constructor for implementations to use if needed.

ProcessingInstruction

     public ProcessingInstruction(String target,
                                  Map data)

  This will create a new `ProcessingInstruction` with the specified target and data.

  Parameters:
    target - `String` target of PI.
    data - `Map` data for PI, in name/value pairs
  Throws: IllegalTargetException
    if the given target is illegal as a processing instruction name.

ProcessingInstruction

     public ProcessingInstruction(String target,
                                  String data)

  This will create a new `ProcessingInstruction` with the specified target and data.

  Parameters:
    target - `String` target of PI.
    rawData - `String` data for PI.
  Throws: IllegalTargetException
    if the given target is illegal as a processing instruction name.

##

getParent

     public Element getParent()

  This will return the parent of this `ProcessingInstruction`. If there is no parent, then this returns `null`.

  Returns:
    parent of this `ProcessingInstruction`

setParent

     protected ProcessingInstruction setParent(Element parent)

  This will set the parent of this `ProcessingInstruction`.

  Parameters:
    parent - `Element` to be new parent.
  Returns:
    this `ProcessingInstruction` modified.

detach

     public ProcessingInstruction detach()

  This detaches the PI from its parent, or does nothing if the PI has no parent.

  Returns:
    `ProcessingInstruction` - this `ProcessingInstruction` modified.

getDocument

     public Document getDocument()

  This retrieves the owning `{@link Document}` for this PI, or null if not a currently a member of a `{@link Document}`.

  Returns:
    `Document` owning this PI, or null.

setDocument

     protected ProcessingInstruction setDocument(Document document)

  This sets the `{@link Document}` parent of this PI.

  Parameters:
    document - `Document` parent
  Returns:
    this `PI` modified

getTarget

     public String getTarget()

  This will retrieve the target of the PI.

  Returns:
    `String` - target of PI.

getData

     public String getData()

  This will return the raw data from all instructions.

  Returns:
    `String` - data of PI.

getNames

     public List getNames()

  This will return a `List` containing the names of the "attribute" style pieces of name/value pairs in this PI's data.

  Returns:
    `List` - the `List` containing the "attribute" names.

setData

     public ProcessingInstruction setData(String data)

  This will set the raw data for the PI.

  Parameters:
    rawData - `String` data of PI.
  Returns:
    `ProcessingInstruction` - this PI modified.

setData

     public ProcessingInstruction setData(Map data)

  This will set the name/value pairs within the passed `Map` as the pairs for the data of this PI. The keys should be the pair name and the values should be the pair values.

  Returns:
    `ProcessingInstruction` - modified PI.

getValue

     public String getValue(String name)

  This will return the value for a specific name/value pair on the PI. If no such pair is found for this PI, null is returned.

  Parameters:
    name - `String` name of name/value pair to lookup value for.
  Returns:
    `String` - value of name/value pair.

setValue

     public ProcessingInstruction setValue(String name,
                                           String value)

  This will set the value for the specified name/value pair. If no matching pair is found, the supplied pair is added to the PI data.

  Parameters:
    name - `String` name of pair.
    value - `String` value for pair.
  Returns:
    `ProcessingInstruction` this PI modified.

removeValue

     public boolean removeValue(String name)

  This will remove the name/value pair with the specified name.

  Returns:
    `boolean` - whether the requested instruction was removed.

toString

     public String toString()

  This returns a `String` representation of the `ProcessingInstruction`, suitable for debugging. If the XML representation of the `ProcessingInstruction` is desired, {@link org.jdom.output.XMLOutputter#outputString(ProcessingInstruction)} should be used.

  Returns:
    `String` - information about the `ProcessingInstruction`
  Overrides:
    toString in class Object

equals

     public final boolean equals(Object ob)

  This tests for equality of this `ProcessingInstruction` to the supplied `Object`.

  Parameters:
    ob - `Object` to compare to.
  Returns:
    `boolean` - whether the `ProcessingInstruction` is equal to the supplied `Object`.
  Overrides:
    equals in class Object

hashCode

     public final int hashCode()

  This returns the hash code for this `ProcessingInstruction`.

  Returns:
    `int` - hash code.
  Overrides:
    hashCode in class Object

clone

     public Object clone()

  This will return a clone of this `ProcessingInstruction`.

  Returns:
    `Object` - clone of this `ProcessingInstruction`.
  Overrides:
    clone in class Object

    All Packages  Class Hierarchy  This Package  Previous  Next  Index